# Time Class Reference
[Widely used base classes and interfaces]

Time's container and utilities. More...

Inheritance diagram for Time:
[legend]

List of all members.

## Public Member Functions

| __construct ($input)
| getHour ()
| setHour ($hour)
| getMinute ()
| setMinute ($minute)
| getSecond ()
| setSecond ($second)
| toString ($delimiter= ':')
| HH:MM.
| toFullString ($delimiter= ':')
| HH:MM:SS.
| toMinutes ()
| toSeconds ()

## Static Public Member Functions

static | create ($input)

## Private Member Functions

| doublize ($int)

## Private Attributes

| $hour = 0
| $minute = 0
| $second = 0
| $string = null

## Detailed Description

Time's container and utilities.

Definition at line 17 of file Time.class.php.

## Constructor & Destructor Documentation

Time::__construct | ( | $ | input | ) |

Definition at line 34 of file Time.class.php.

References Assert::checkInteger(), Assert::isString(), setHour(), setMinute(), and setSecond().

Here is the call graph for this function:

## Member Function Documentation

static Time::create | ( | $ | input | ) | `[static]`

Returns:
  Time

Definition at line 28 of file Time.class.php.

Referenced by TimeList::stringToTimeList().

Time::doublize | ( | $ | int | ) | `[private]`

Definition at line 208 of file Time.class.php.

Referenced by toFullString(), and toString().

Time::getHour | ( |  | ) |

Definition at line 94 of file Time.class.php.

Time::getMinute | ( |  | ) |

Definition at line 118 of file Time.class.php.

Time::getSecond | ( |  | ) |

Definition at line 143 of file Time.class.php.

Time::setHour | ( | $ | hour | ) |

Returns:
  Time

Definition at line 102 of file Time.class.php.

References $hour, and Assert::isTrue().

Referenced by __construct().

Here is the call graph for this function:

Time::setMinute | ( | $ | minute | ) |

Returns:
  Time

Definition at line 126 of file Time.class.php.

References $minute, and Assert::isTrue().

Referenced by __construct().

Here is the call graph for this function:

Time::setSecond | ( | $ | second | ) |

Returns:
  Time

Definition at line 151 of file Time.class.php.

References $second, and Assert::isTrue().

Referenced by __construct().

Here is the call graph for this function:

Time::toFullString | ( | $ | delimiter = `':'` | ) |

HH:MM:SS.

Definition at line 181 of file Time.class.php.

References doublize(), and Stringable::toString().

Here is the call graph for this function:

Time::toMinutes | ( |  | ) |

Definition at line 192 of file Time.class.php.

Time::toSeconds | ( |  | ) |

Definition at line 200 of file Time.class.php.

Referenced by PrimitiveTime::checkLimits().

Time::toString | ( | $ | delimiter = `':'` | ) |

HH:MM.

Definition at line 169 of file Time.class.php.

References doublize().

Here is the call graph for this function:

## Member Data Documentation

Time::$hour = 0`[private]`

Definition at line 19 of file Time.class.php.

Referenced by setHour().

Time::$minute = 0`[private]`

Definition at line 20 of file Time.class.php.

Referenced by setMinute().

Time::$second = 0`[private]`

Definition at line 21 of file Time.class.php.

Referenced by setSecond().

Time::$string = null`[private]`

Definition at line 23 of file Time.class.php.

The documentation for this class was generated from the following file:

- core/Base/Time.class.php